<?php
class CollectionBrowseAction extends BaseAction {
	public function action(ActionInfo &$actionInfo) {
		$seq = $actionInfo->request['seq'];
		// 入力値チェック
		$validate = TRUE;
		$validate = $validate & ValidateUtil::validate($actionInfo->errorMessageList,'seq','Seq',$seq,TRUE,TRUE);
		if (!$validate) {
			// エラー
			$actionInfo->viewName = "AppricationErrorView";
			return;
		}
		// 入力値を取得
		$seq = $actionInfo->request['seq'];
		
		// 処理
		$themeDtoDao = new ThemeDtoDao();
		$collectionDtoDao = new CollectionDtoDao();
		$collectionDto = $collectionDtoDao->find($seq,TRUE);
		if ($collectionDto == NULL) {
			// エラー
			$actionInfo->errorMessageList[] = getMessage(MSG_COLLECTION_INFO_NOT_FOUND, array($seq));
			$actionInfo->viewName = "AppricationErrorView";
			return;
		}
		$themeDto = $themeDtoDao->find($collectionDto->themeSeq, FALSE);
		if ($themeDto == NULL) {
			// エラー
			$actionInfo->errorMessageList[] = getMessage(MSG_THEME_INFO_NOT_FOUND, array($collectionDto->themeSeq));
			$actionInfo->viewName = "AppricationErrorView";
			return;
		}
		
		// アクセス権限チェック
		if (!AuthorityUtil::isCollectionBrowsable($themeDto, $collectionDto)) {
			$actionInfo->errorMessageList[] = getMessage(MSG_NO_AUTHORITY);
			$actionInfo->viewName = "AppricationErrorView";
			return;
		}
		
		// 表示項目に値を設定する。
		$themeDtoArray = array();
		$collectionDtoArray = array();
		$themeDto->copyToArray($themeDtoArray);
		$collectionDto->copyToArray($collectionDtoArray);
		$actionInfo->form["seq"] = $seq;
		$actionInfo->form["themeDto"] = $themeDtoArray;
		$actionInfo->form["collectionDto"] = $collectionDtoArray;
		$actionInfo->form['collectionEditableFlag'] = AuthorityUtil::isCollectionEditable($themeDto,$collectionDto);
		
		// commonInfoを設定する
		$actionInfo->form["commonInfo"] = array(
			"themeSeq" => $collectionDto->themeSeq,
			"themeName" => ($themeDto !== NULL) ? $themeDto->title1 : "",
			"collectionSeq" => $collectionDto->seq,
			"collectionName" => $collectionDto->title1,
		);
		$actionInfo->title = $collectionDto->title1;
		$actionInfo->viewName = 'CollectionBrowseView';
	}
}
?>