<?php
class ThemeListAction extends BaseAction {
	public function action(ActionInfo &$actionInfo) {
		$form = &$actionInfo->form;
		$request = &$actionInfo->request;
		$pageNo = 1;
		
		// Validate
		$validate = TRUE;
		$validate = $validate & ValidateUtil::validate($actionInfo->errorMessageList, "pageNo", "PageNo", $request["pageNo"], FALSE, TRUE);
		if ($validate) {
			if (!isBlank($request["pageNo"])) {
				$pageNo = (int)$request["pageNo"];
			}
		}
		
		// ThemeDtoのリストを取得する。
		$themeDtoDao = new ThemeDtoDao();
		$listFrom = THEME_NUM_PER_PAGE * ($pageNo - 1) + 1;
		$listTo = THEME_NUM_PER_PAGE * $pageNo;
		
		$themeStatusCondition = NULL;
		if (!UserUtil::isThemeManager()) {
			$themeStatusCondition = array(
				THEME_STATUS_UNEDITABLE_BROWSABLE,
				THEME_STATUS_EDITABLE_UNBROWSABLE,
				THEME_STATUS_EDITABLE_BROWSABLE,
			);
		}
		
		// 処理
		$themeDtoDao = new ThemeDtoDao();
		$themeDtoList = $themeDtoDao->findAll(TRUE, $themeStatusCondition, $listFrom, $listTo);
		$themeDtoCount = $themeDtoDao->findCount($themeStatusCondition);
		$totalPageNo = ceil($themeDtoCount / THEME_NUM_PER_PAGE);
		
		// 表示項目に値を設定する。
		$actionInfo->form['themeDtoList'] = ThemeDto::createArrayArrayFromDtoArray($themeDtoList);
		$actionInfo->form['pageNo'] = ($pageNo < $totalPageNo) ? $pageNo : $totalPageNo;
		$actionInfo->form['totalPageNo'] = $totalPageNo;
		$actionInfo->form['prevPageNo'] = ($pageNo > 1) ? ($pageNo - 1) : NULL;
		$actionInfo->form['nextPageNo'] = ($pageNo < $totalPageNo) ? ($pageNo + 1) : NULL;
		$actionInfo->form['themeCreatableFlag'] = AuthorityUtil::isThemeCreatable();
		
		// commonInfoを設定する
		// 無し
		
		$actionInfo->viewName = 'ThemeListView';
	}
}
?>