<?php
class UserConfirmAction extends BaseAction {
	public function action(ActionInfo &$actionInfo) {
		$form = &$actionInfo->form;
		$request = &$actionInfo->request;
		$command = (count($actionInfo->commands)>0) ? $actionInfo->commands[0] : "";
		
		if ($command != "back") {
			// ユーザ確認表示処理
			$userDtoArray = (isset($request['userDto'])) ? $request['userDto'] : array();  
			
			// 入力値チェック
			$validate = TRUE;
			$validate = $validate & ValidateUtil::validate($actionInfo->errorMessageList,'seq', 'Seq', $userDtoArray["seq"], TRUE, TRUE);
			$validate = $validate & ValidateUtil::validate($actionInfo->errorMessageList,'userId', 'UserId', $userDtoArray["userId"], TRUE, TRUE);
			$validate = $validate & ValidateUtil::validate($actionInfo->errorMessageList,'nickName', 'NickName', $userDtoArray["nickName"], TRUE, TRUE);
			$validate = $validate & ValidateUtil::validate($actionInfo->errorMessageList,'password', 'Password', $userDtoArray["password"], FALSE, TRUE);
			$validate = $validate & ValidateUtil::validate($actionInfo->errorMessageList,'passwordConfirm', 'PasswordConfirm', $userDtoArray["passwordConfirm"], FALSE, TRUE);
			if (!$validate) {
				// エラー
				$actionInfo->viewName= "UserEditView";
				$actionInfo->form = $request;
				return;
			}
			
			// 処理
			$userDtoDao = new UserDtoDao();
			// 入力されたパスワードとパスワード確認の一致を確認
			if (!isBlank($userDtoArray['password']) || !isBlank($userDtoArray['passwordConfirm'])) {
				if ($userDtoArray['password'] != $userDtoArray['passwordConfirm']) {
					// エラー
					$actionInfo->errorMessageList[] = getMessage(MSG_INPUTED_PASSWORD_NOT_MATCH);
					$actionInfo->viewName= "UserEditView";
					$actionInfo->form = $request;
					return;
				}
			}
			//同一のユーザIDが存在しないか確認する。
			$checkUserDto = $userDtoDao->findByUserId($userDtoArray["userId"]);
			if ($checkUserDto != NULL && $checkUserDto->seq != $userDtoArray["seq"]) {
				// エラー
				$actionInfo->errorMessageList[] = getMessage(MSG_VALUE_ALREADY_EXISTS, array(getTranslation("userId","DATA_NAME"),$userDtoArray["userId"]));
				$actionInfo->viewName= "UserEditView";
				$actionInfo->form = $request;
				return;
			}
			
			// 表示項目に値を設定する。
			$actionInfo->form = $request;
			
			$actionInfo->viewName = 'UserConfirmView';
		} else {
			// ユーザ編集再表示処理
			$actionInfo->viewName= "UserEditView";
			$actionInfo->form = $request;
			return;
		}
	}
}
?>