<?php
class UserEditAction extends BaseAction {
	public function action(ActionInfo &$actionInfo) {
		$form = &$actionInfo->form;
		$request = &$actionInfo->request;
		
		// 入力値チェック
		$validate = TRUE;
		$validate = $validate & ValidateUtil::validate($actionInfo->errorMessageList,'seq', 'Seq', $request["seq"], TRUE, TRUE);
		if (!$validate) {
			// エラー
			$actionInfo->viewName= "AppricationErrorView";
			return;
		}
		$seq = $request["seq"];
		
		// 処理
		$userDtoDao = new UserDtoDao();
		$userDto = $userDtoDao->find($seq);
		if ($userDto == NULL) {
			// エラー
			$actionInfo->errorMessageList[] = getMessage(MSG_USER_INFO_NOT_FOUND,array($seq));
			$actionInfo->viewName= "AppricationErrorView";
			return;
		}
		$currentUserDto = UserUtil::getUserInfo();
		if ($currentUserDto == null || $currentUserDto->seq != $seq) {
			// エラー
			$actionInfo->errorMessageList[] = getMessage(MSG_USER_INFO_NOT_EDITABLE,array($seq));
			$actionInfo->viewName= "AppricationErrorView";
			return;
		}
		
		// 表示項目に値を設定する。
		$userDtoArray = array();
		$userDto->copyToArray($userDtoArray);
		$actionInfo->form["userDto"] = $userDtoArray;
		//$actionInfo->form["userDto"]["password"] = "";
		
		$actionInfo->viewName = 'UserEditView';
	}
}
?>