<?php
class UserRegisterAction extends BaseAction {
	public function action(ActionInfo &$actionInfo) {
		$form = &$actionInfo->form;
		$request = &$actionInfo->request;
		$command = (count($actionInfo->commands)>0) ? $actionInfo->commands[0] : "";
		
		// ユーザ登録処理
		$userDtoArray = (isset($request['userDto'])) ? $request['userDto'] : array();  
		
		// 入力値チェック
		$validate = TRUE;
		$validate = $validate & ValidateUtil::validate($actionInfo->errorMessageList,'seq', 'Seq', $userDtoArray["seq"], TRUE, TRUE);
		$validate = $validate & ValidateUtil::validate($actionInfo->errorMessageList,'userId', 'UserId', $userDtoArray["userId"], TRUE, TRUE);
		$validate = $validate & ValidateUtil::validate($actionInfo->errorMessageList,'nickName', 'NickName', $userDtoArray["nickName"], TRUE, TRUE);
		$validate = $validate & ValidateUtil::validate($actionInfo->errorMessageList,'password', 'Password', $userDtoArray["password"], FALSE, TRUE);
		if (!$validate) {
			// エラー
			$actionInfo->viewName= "UserConfirmView";
			$actionInfo->form = $request;
			return;
		}
		$seq = $userDtoArray["seq"]; 
		
		// 処理
		//T_USERテーブルより、UserDtoを取得する。
		$userDtoDao = new UserDtoDao();
		$userDto = $userDtoDao->find($seq, TRUE);
		if ($userDto == NULL) {
			// エラー
			$actionInfo->errorMessageList[] = getMessage(MSG_USER_INFO_NOT_FOUND,array($seq));
			$actionInfo->viewName= "AppricationErrorView";
			return;
		}
		//同一のユーザIDが存在しないか確認する。
		$checkUserDto = $userDtoDao->findByUserId($userDtoArray["userId"]);
		if ($checkUserDto != NULL && $checkUserDto->seq != $userDtoArray["seq"]) {
			// エラー
			$actionInfo->errorMessageList[] = getMessage(MSG_VALUE_ALREADY_EXISTS, array(getTranslation("userId","DATA_NAME"),$userDtoArray["userId"]));
			$actionInfo->viewName= "UserEditView";
			$actionInfo->form = $request;
			return;
		}
		// 現在のユーザと同一か確認する。
		$currentUserDto = UserUtil::getUserInfo();
		if ($currentUserDto == null || $currentUserDto->seq != $seq) {
			// エラー
			$actionInfo->errorMessageList[] = getMessage(MSG_USER_INFO_NOT_EDITABLE,array($seq));
			$actionInfo->viewName= "AppricationErrorView";
			return;
		}
		
		// 取得したユーザ情報に値を設定する。
		$userDto->userId = $userDtoArray['userId'];
		$userDto->nickName = $userDtoArray['nickName'];
		if (!isBlank($userDtoArray['password'])) {
			$userDto->passwordHash = strtolower(sha1($userDtoArray['password'],FALSE));
		}
		$userDtoDao->register($userDto,TRUE);

		// 新しいユーザ情報で共通ログイン処理を行う。
		UserUtil::login($userDtoArray['userId'], $userDtoArray['password']);

		$actionInfo->noticeMessageList[] = getMessage(MSG_REGISTERING_USER_SUCCEED);
		$actionInfo->forwardActionName = 'MyPage';
	}
}
?>