<?php
// グローバル変数
$defaultActionName = "ThemeList";
$viewMap = array(
	"ThemeListView" => "ThemeListView.inc.php",
	"ThemeBrowseView" => "ThemeBrowseView.inc.php",
	"ThemeEditView" => "ThemeEditView.inc.php",
	"ThemeDeleteView" => "ThemeDeleteView.inc.php",
	"ThemeConfirmView" => "ThemeConfirmView.inc.php",
	"CollectionBrowseView" => "CollectionBrowseView.inc.php",
	"CollectionDetailView" => "CollectionDetailView.inc.php",
	"CollectionEditView" => "CollectionEditView.inc.php",
	"CollectionDeleteView" => "CollectionDeleteView.inc.php",
	"CollectionConfirmView" => "CollectionConfirmView.inc.php",
	"LoginView" => "LoginView.inc.php",
	"MyPageView" => "MyPageView.inc.php",
	"UserEditView" => "UserEditView.inc.php",
	"UserConfirmView" => "UserConfirmView.inc.php",
	"ManageUserListView" => "ManageUserListView.inc.php",
	"ManageUserEditView" => "ManageUserEditView.inc.php",
	"AppricationErrorView" => "AppricationErrorView.inc.php",
);
$errorViewName = null;
$baseViewName = "BaseLayout.inc.php";

// 共通関数
function __autoload($className) {
	if (preg_match("/^[a-zA-Z0-9]+Dto$/",$className)) {
		require_once(DTO_DIR.$className.".inc.php");
	} else if (preg_match("/^[a-zA-Z0-9]+Dao$/",$className)) {
		require_once(DAO_DIR.$className.".inc.php");
	} else if (preg_match("/^[a-zA-Z0-9]+Action$/",$className)) {
		require_once(ACTION_DIR.$className.".inc.php");
	} else if (preg_match("/^[a-zA-Z0-9]+Util$/",$className)) {
		require_once(UTIL_DIR.$className.".inc.php");
	} else {
		// 無し
	}
}

function getAction($actionName) {
	global $actionMap;
	if ($actionName == "ThemeList") {
		return new ThemeListAction();
	} else if ($actionName == "ThemeBrowse") {
		return new ThemeBrowseAction();
	} else if ($actionName == "ThemeEdit") {
		return new ThemeEditAction();
	} else if ($actionName == "ThemeRegister") {
		return new ThemeRegisterAction();
	} else if ($actionName == "CollectionBrowse") {
		return new CollectionBrowseAction();
	} else if ($actionName == "CollectionDetail") {
		return new CollectionDetailAction();
	} else if ($actionName == "CollectionEdit") {
		return new CollectionEditAction();
	} else if ($actionName == "CollectionConfirm") {
		return new CollectionConfirmAction();
	} else if ($actionName == "CollectionRegister") {
		return new CollectionRegisterAction();
	} else if ($actionName == "Login") {
		return new LoginAction();
	} else if ($actionName == "LoginProcess") {
		return new LoginProcessAction();
	} else if ($actionName == "LogoutProcess") {
		return new LogoutProcessAction();
	} else if ($actionName == "MyPage") {
		return new MyPageAction();
	} else if ($actionName == "UserEdit") {
		return new UserEditAction();
	} else if ($actionName == "UserConfirm") {
		return new UserConfirmAction();
	} else if ($actionName == "UserRegister") {
		return new UserRegisterAction();
	} else if ($actionName == "ManageUserList") {
		return new ManageUserListAction();
	} else if ($actionName == "ManageUserEdit") {
		return new ManageUserEditAction();
	} else if ($actionName == "ManageUserRegister") {
		return new ManageUserRegisterAction();
	} else {
		return null;
	}
}
function getView($viewName) {
	global $viewMap;
	if (isset($viewMap[$viewName])) {
		return $viewMap[$viewName];
	} else {
		return null;
	}
}
function isBlank($str) {
	return (!isset($str) || $str === null || $str === "" );
}
function charAt($string, $index){
    if($index < strlen($string)){
        return substr($string, $index, 1);
    }
    else{
        return -1;
    }
}
function getMessage($src, $ary = NULL){
	global $genericCode;
	$result = $src;
	if ($ary != NULL) {
		foreach ($ary as $idx => $val) {
			$result = str_replace("{".$idx."}",$val,$result);
		}
	}
	return $result;
}
function getTranslation($value, $codeKind) {
	global $genericCode;
	if (isset($genericCode[$codeKind])) {
		$ary = $genericCode[$codeKind];
		if (isset($ary[$value])) {
			return $ary[$value];
		}
	}
	return $value;
}
function append_prefix($prefix, array &$ary) {
	global $genericCode;
	$result = array();
	foreach ($ary as $val) {
		$result[] = $prefix.$val;
	}
	return $result;
}
?>