<?php
class AbstractCollectionDetailDtoDao {

	var $tableName = "T_COLLECTION_DETAIL";
	var $itemColumns = array(
		"CREATE_USER"
		,"CREATE_TIMESTAMP"
		,"UPDATE_USER"
		,"UPDATE_TIMESTAMP"
		,"SEQ"
		,"COLLECTION_SEQ"
		,"SUB_SEQ"
		,"IMAGE_SEQ"
		,"TITLE_1"
		,"TITLE_2"
		,"TITLE_3"
		,"TITLE_4"
		,"DESCRIPTION_1"
		,"DESCRIPTION_2"
		,"DESCRIPTION_3"
		,"DESCRIPTION_4"
	);

	public function getItemColumnsForInput() {
		$itemColumns = array();
		foreach ($this->itemColumns as $item) {
			if ($item != "SEQ") {
				$itemColumns[] = $item; 
			}
		}
		return $itemColumns;
	}
	public function createDtoFromArray(array &$ary) {
		$dto = new CollectionDetailDto();
		$dto->createUser = $ary["CREATE_USER"];
		$dto->createTimestamp = $ary["CREATE_TIMESTAMP"];
		$dto->updateUser = $ary["UPDATE_USER"];
		$dto->updateTimestamp = $ary["UPDATE_TIMESTAMP"];
		$dto->seq = $ary["SEQ"];
		$dto->collectionSeq = $ary["COLLECTION_SEQ"];
		$dto->subSeq = $ary["SUB_SEQ"];
		$dto->imageSeq = $ary["IMAGE_SEQ"];
		$dto->title1 = $ary["TITLE_1"];
		$dto->title2 = $ary["TITLE_2"];
		$dto->title3 = $ary["TITLE_3"];
		$dto->title4 = $ary["TITLE_4"];
		$dto->description1 = $ary["DESCRIPTION_1"];
		$dto->description2 = $ary["DESCRIPTION_2"];
		$dto->description3 = $ary["DESCRIPTION_3"];
		$dto->description4 = $ary["DESCRIPTION_4"];
		$dto->sortNo = $ary["SORT_NO"];
		$dto->imageRealFileName = $ary["IMAGE_REAL_FILE_NAME"];
		$dto->imageOriginalFileName = $ary["IMAGE_ORIGINAL_FILE_NAME"];
		$dto->thumbnailRealFileName = $ary["THUMBNAIL_REAL_FILE_NAME"];
		$dto->thumbnailOriginalFileName = $ary["THUMBNAIL_ORIGINAL_FILE_NAME"];
		return $dto;
	}
	public function createArrayFromDto(CollectionDetailDto &$dto) {
		$ary = array();
		$ary["CREATE_USER"] = $dto->createUser;
		$ary["CREATE_TIMESTAMP"] = $dto->createTimestamp;
		$ary["UPDATE_USER"] = $dto->updateUser;
		$ary["UPDATE_TIMESTAMP"] = $dto->updateTimestamp;
		$ary["SEQ"] = $dto->seq;
		$ary["COLLECTION_SEQ"] = $dto->collectionSeq;
		$ary["SUB_SEQ"] = $dto->subSeq;
		$ary["IMAGE_SEQ"] = $dto->imageSeq;
		$ary["TITLE_1"] = $dto->title1;
		$ary["TITLE_2"] = $dto->title2;
		$ary["TITLE_3"] = $dto->title3;
		$ary["TITLE_4"] = $dto->title4;
		$ary["DESCRIPTION_1"] = $dto->description1;
		$ary["DESCRIPTION_2"] = $dto->description2;
		$ary["DESCRIPTION_3"] = $dto->description3;
		$ary["DESCRIPTION_4"] = $dto->description4;
		$ary["SORT_NO"] = $dto->sortNo;
		$ary["IMAGE_REAL_FILE_NAME"] = $dto->imageRealFileName;
		$ary["IMAGE_ORIGINAL_FILE_NAME"] = $dto->imageOriginalFileName;
		$ary["THUMBNAIL_REAL_FILE_NAME"] = $dto->thumbnailRealFileName;
		$ary["THUMBNAIL_ORIGINAL_FILE_NAME"] = $dto->thumbnailOriginalFileName;
		return $ary;
	}
}
?>
