<?php
class AbstractCollectionDtoDao {

	var $tableName = "T_COLLECTION";
	var $itemColumns = array(
		"CREATE_USER"
		,"CREATE_TIMESTAMP"
		,"UPDATE_USER"
		,"UPDATE_TIMESTAMP"
		,"SEQ"
		,"THEME_SEQ"
		,"USER_SEQ"
		,"SUB_SEQ"
		,"TITLE_1"
		,"TITLE_2"
		,"TITLE_3"
		,"TITLE_4"
		,"DESCRIPTION_1"
		,"DESCRIPTION_2"
		,"DESCRIPTION_3"
		,"DESCRIPTION_4"
		,"COLLECTION_STATUS"
		,"SORT_NO"
	);

	public function getItemColumnsForInput() {
		$itemColumns = array();
		foreach ($this->itemColumns as $item) {
			if ($item != "SEQ") {
				$itemColumns[] = $item; 
			}
		}
		return $itemColumns;
	}
	public function createDtoFromArray(array &$ary) {
		$dto = new CollectionDto();
		$dto->createUser = $ary["CREATE_USER"];
		$dto->createTimestamp = $ary["CREATE_TIMESTAMP"];
		$dto->updateUser = $ary["UPDATE_USER"];
		$dto->updateTimestamp = $ary["UPDATE_TIMESTAMP"];
		$dto->seq = $ary["SEQ"];
		$dto->themeSeq = $ary["THEME_SEQ"];
		$dto->userSeq = $ary["USER_SEQ"];
		$dto->subSeq = $ary["SUB_SEQ"];
		$dto->title1 = $ary["TITLE_1"];
		$dto->title2 = $ary["TITLE_2"];
		$dto->title3 = $ary["TITLE_3"];
		$dto->title4 = $ary["TITLE_4"];
		$dto->description1 = $ary["DESCRIPTION_1"];
		$dto->description2 = $ary["DESCRIPTION_2"];
		$dto->description3 = $ary["DESCRIPTION_3"];
		$dto->description4 = $ary["DESCRIPTION_4"];
		$dto->collectionStatus = $ary["COLLECTION_STATUS"];
		$dto->sortNo = $ary["SORT_NO"];
		$dto->nickName = $ary["NICK_NAME"];
		return $dto;
	}
	public function createArrayFromDto(CollectionDto &$dto) {
		$ary = array();
		$ary["CREATE_USER"] = $dto->createUser;
		$ary["CREATE_TIMESTAMP"] = $dto->createTimestamp;
		$ary["UPDATE_USER"] = $dto->updateUser;
		$ary["UPDATE_TIMESTAMP"] = $dto->updateTimestamp;
		$ary["SEQ"] = $dto->seq;
		$ary["THEME_SEQ"] = $dto->themeSeq;
		$ary["USER_SEQ"] = $dto->userSeq;
		$ary["SUB_SEQ"] = $dto->subSeq;
		$ary["TITLE_1"] = $dto->title1;
		$ary["TITLE_2"] = $dto->title2;
		$ary["TITLE_3"] = $dto->title3;
		$ary["TITLE_4"] = $dto->title4;
		$ary["DESCRIPTION_1"] = $dto->description1;
		$ary["DESCRIPTION_2"] = $dto->description2;
		$ary["DESCRIPTION_3"] = $dto->description3;
		$ary["DESCRIPTION_4"] = $dto->description4;
		$ary["COLLECTION_STATUS"] = $dto->collectionStatus;
		$ary["SORT_NO"] = $dto->sortNo;
		$ary["NICK_NAME"] = $dto->nickName;
		return $ary;
	}
}
?>
