<?php
class AbstractFileDtoDao {

	var $tableName = "T_FILE";
	var $itemColumns = array(
		"CREATE_USER"
		,"CREATE_TIMESTAMP"
		,"UPDATE_USER"
		,"UPDATE_TIMESTAMP"
		,"SEQ"
		,"REAL_FILE_NAME"
		,"ORIGINAL_FILE_NAME"
		,"USER_SEQ"
	);

	public function getItemColumnsForInput() {
		$itemColumns = array();
		foreach ($this->itemColumns as $item) {
			if ($item != "SEQ") {
				$itemColumns[] = $item; 
			}
		}
		return $itemColumns;
	}
	public function createDtoFromArray(array &$ary) {
		$dto = new FileDto();
		$dto->createUser = $ary["CREATE_USER"];
		$dto->createTimestamp = $ary["CREATE_TIMESTAMP"];
		$dto->updateUser = $ary["UPDATE_USER"];
		$dto->updateTimestamp = $ary["UPDATE_TIMESTAMP"];
		$dto->seq = $ary["SEQ"];
		$dto->realFileName = $ary["REAL_FILE_NAME"];
		$dto->originalFileName = $ary["ORIGINAL_FILE_NAME"];
		$dto->userSeq = $ary["USER_SEQ"];
		$dto->userId = $ary["USER_ID"];
		$dto->nickName = $ary["NICK_NAME"];
		return $dto;
	}
	public function createArrayFromDto(FileDto &$dto) {
		$ary = array();
		$ary["CREATE_USER"] = $dto->createUser;
		$ary["CREATE_TIMESTAMP"] = $dto->createTimestamp;
		$ary["UPDATE_USER"] = $dto->updateUser;
		$ary["UPDATE_TIMESTAMP"] = $dto->updateTimestamp;
		$ary["SEQ"] = $dto->seq;
		$ary["REAL_FILE_NAME"] = $dto->realFileName;
		$ary["ORIGINAL_FILE_NAME"] = $dto->originalFileName;
		$ary["USER_SEQ"] = $dto->userSeq;
		$ary["USER_ID"] = $dto->userId;
		$ary["NICK_NAME"] = $dto->nickName;
		return $ary;
	}
}
?>
