<?php
class AbstractImageDtoDao {

	var $tableName = "T_IMAGE";
	var $itemColumns = array(
		"CREATE_USER"
		,"CREATE_TIMESTAMP"
		,"UPDATE_USER"
		,"UPDATE_TIMESTAMP"
		,"SEQ"
		,"IMAGE_FILE_SEQ"
		,"THUMBNAIL_FILE_SEQ"
	);

	public function getItemColumnsForInput() {
		$itemColumns = array();
		foreach ($this->itemColumns as $item) {
			if ($item != "SEQ") {
				$itemColumns[] = $item; 
			}
		}
		return $itemColumns;
	}
	public function createDtoFromArray(array &$ary) {
		$dto = new ImageDto();
		$dto->createUser = $ary["CREATE_USER"];
		$dto->createTimestamp = $ary["CREATE_TIMESTAMP"];
		$dto->updateUser = $ary["UPDATE_USER"];
		$dto->updateTimestamp = $ary["UPDATE_TIMESTAMP"];
		$dto->seq = $ary["SEQ"];
		$dto->imageFileSeq = $ary["IMAGE_FILE_SEQ"];
		$dto->thumbnailFileSeq = $ary["THUMBNAIL_FILE_SEQ"];
		$dto->userId = $ary["USER_ID"];
		$dto->nickName = $ary["NICK_NAME"];
		$dto->imageRealFileName = $ary["IMAGE_REAL_FILE_NAME"];
		$dto->imageOriginalFileName = $ary["IMAGE_ORIGINAL_FILE_NAME"];
		$dto->thumbnailRealFileName = $ary["THUMBNAIL_REAL_FILE_NAME"];
		$dto->thumbnailOriginalFileName = $ary["THUMBNAIL_ORIGINAL_FILE_NAME"];
		return $dto;
	}
	public function createArrayFromDto(ImageDto &$dto) {
		$ary = array();
		$ary["CREATE_USER"] = $dto->createUser;
		$ary["CREATE_TIMESTAMP"] = $dto->createTimestamp;
		$ary["UPDATE_USER"] = $dto->updateUser;
		$ary["UPDATE_TIMESTAMP"] = $dto->updateTimestamp;
		$ary["SEQ"] = $dto->seq;
		$ary["IMAGE_FILE_SEQ"] = $dto->imageFileSeq;
		$ary["THUMBNAIL_FILE_SEQ"] = $dto->thumbnailFileSeq;
		$ary["USER_ID"] = $dto->userId;
		$ary["NICK_NAME"] = $dto->nickName;
		$ary["IMAGE_REAL_FILE_NAME"] = $dto->imageRealFileName;
		$ary["IMAGE_ORIGINAL_FILE_NAME"] = $dto->imageOriginalFileName;
		$ary["THUMBNAIL_REAL_FILE_NAME"] = $dto->thumbnailRealFileName;
		$ary["THUMBNAIL_ORIGINAL_FILE_NAME"] = $dto->thumbnailOriginalFileName;
		return $ary;
	}
}
?>
