<?php
class AbstractThemeDtoDao {

	var $tableName = "T_THEME";
	var $itemColumns = array(
		"CREATE_USER"
		,"CREATE_TIMESTAMP"
		,"UPDATE_USER"
		,"UPDATE_TIMESTAMP"
		,"SEQ"
		,"TITLE_1"
		,"TITLE_2"
		,"TITLE_3"
		,"TITLE_4"
		,"DESCRIPTION_1"
		,"DESCRIPTION_2"
		,"DESCRIPTION_3"
		,"DESCRIPTION_4"
		,"THEME_STATUS"
		,"COLLECTION_NUM"
		,"COLLECTION_DETAIL_NUM"
		,"SORT_NO"
	);

	public function getItemColumnsForInput() {
		$itemColumns = array();
		foreach ($this->itemColumns as $item) {
			if ($item != "SEQ") {
				$itemColumns[] = $item; 
			}
		}
		return $itemColumns;
	}
	public function createDtoFromArray(array &$ary) {
		$dto = new ThemeDto();
		$dto->createUser = $ary["CREATE_USER"];
		$dto->createTimestamp = $ary["CREATE_TIMESTAMP"];
		$dto->updateUser = $ary["UPDATE_USER"];
		$dto->updateTimestamp = $ary["UPDATE_TIMESTAMP"];
		$dto->seq = $ary["SEQ"];
		$dto->title1 = $ary["TITLE_1"];
		$dto->title2 = $ary["TITLE_2"];
		$dto->title3 = $ary["TITLE_3"];
		$dto->title4 = $ary["TITLE_4"];
		$dto->description1 = $ary["DESCRIPTION_1"];
		$dto->description2 = $ary["DESCRIPTION_2"];
		$dto->description3 = $ary["DESCRIPTION_3"];
		$dto->description4 = $ary["DESCRIPTION_4"];
		$dto->themeStatus = $ary["THEME_STATUS"];
		$dto->collectionNum = $ary["COLLECTION_NUM"];
		$dto->collectionDetailNum = $ary["COLLECTION_DETAIL_NUM"];
		$dto->sortNo = $ary["SORT_NO"];
		return $dto;
	}
	public function createArrayFromDto(ThemeDto &$dto) {
		$ary = array();
		$ary["CREATE_USER"] = $dto->createUser;
		$ary["CREATE_TIMESTAMP"] = $dto->createTimestamp;
		$ary["UPDATE_USER"] = $dto->updateUser;
		$ary["UPDATE_TIMESTAMP"] = $dto->updateTimestamp;
		$ary["SEQ"] = $dto->seq;
		$ary["TITLE_1"] = $dto->title1;
		$ary["TITLE_2"] = $dto->title2;
		$ary["TITLE_3"] = $dto->title3;
		$ary["TITLE_4"] = $dto->title4;
		$ary["DESCRIPTION_1"] = $dto->description1;
		$ary["DESCRIPTION_2"] = $dto->description2;
		$ary["DESCRIPTION_3"] = $dto->description3;
		$ary["DESCRIPTION_4"] = $dto->description4;
		$ary["THEME_STATUS"] = $dto->themeStatus;
		$ary["COLLECTION_NUM"] = $dto->collectionNum;
		$ary["COLLECTION_DETAIL_NUM"] = $dto->collectionDetailNum;
		$ary["SORT_NO"] = $dto->sortNo;
		return $ary;
	}
}
?>
