<?php
class AbstractThemeUserDtoDao {

	var $tableName = "T_THEME_USER";
	var $itemColumns = array(
		"CREATE_USER"
		,"CREATE_TIMESTAMP"
		,"UPDATE_USER"
		,"UPDATE_TIMESTAMP"
		,"SEQ"
		,"THEME_SEQ"
		,"USER_SEQ"
		,"ENABLE"
		,"SORT_NO"
	);

	public function getItemColumnsForInput() {
		$itemColumns = array();
		foreach ($this->itemColumns as $item) {
			if ($item != "SEQ") {
				$itemColumns[] = $item; 
			}
		}
		return $itemColumns;
	}
	public function createDtoFromArray(array &$ary) {
		$dto = new ThemeUserDto();
		$dto->createUser = $ary["CREATE_USER"];
		$dto->createTimestamp = $ary["CREATE_TIMESTAMP"];
		$dto->updateUser = $ary["UPDATE_USER"];
		$dto->updateTimestamp = $ary["UPDATE_TIMESTAMP"];
		$dto->seq = $ary["SEQ"];
		$dto->themeSeq = $ary["THEME_SEQ"];
		$dto->userSeq = $ary["USER_SEQ"];
		$dto->enable = $ary["ENABLE"];
		$dto->sortNo = $ary["SORT_NO"];
		$dto->userId = $ary["USER_ID"];
		$dto->nickName = $ary["NICK_NAME"];
		return $dto;
	}
	public function createArrayFromDto(ThemeUserDto &$dto) {
		$ary = array();
		$ary["CREATE_USER"] = $dto->createUser;
		$ary["CREATE_TIMESTAMP"] = $dto->createTimestamp;
		$ary["UPDATE_USER"] = $dto->updateUser;
		$ary["UPDATE_TIMESTAMP"] = $dto->updateTimestamp;
		$ary["SEQ"] = $dto->seq;
		$ary["THEME_SEQ"] = $dto->themeSeq;
		$ary["USER_SEQ"] = $dto->userSeq;
		$ary["ENABLE"] = $dto->enable;
		$ary["SORT_NO"] = $dto->sortNo;
		$ary["USER_ID"] = $dto->userId;
		$ary["NICK_NAME"] = $dto->nickName;
		return $ary;
	}
}
?>
