<?php
class AbstractUserAttributeDtoDao {

	var $tableName = "T_USER_ATTRIBUTE";
	var $itemColumns = array(
		"CREATE_USER"
		,"CREATE_TIMESTAMP"
		,"UPDATE_USER"
		,"UPDATE_TIMESTAMP"
		,"SEQ"
		,"USER_SEQ"
		,"ATTRIBUTE_NAME"
		,"ATTRIBUTE_VALUE"
	);

	public function getItemColumnsForInput() {
		$itemColumns = array();
		foreach ($this->itemColumns as $item) {
			if ($item != "SEQ") {
				$itemColumns[] = $item; 
			}
		}
		return $itemColumns;
	}
	public function createDtoFromArray(array &$ary) {
		$dto = new UserAttributeDto();
		$dto->createUser = $ary["CREATE_USER"];
		$dto->createTimestamp = $ary["CREATE_TIMESTAMP"];
		$dto->updateUser = $ary["UPDATE_USER"];
		$dto->updateTimestamp = $ary["UPDATE_TIMESTAMP"];
		$dto->seq = $ary["SEQ"];
		$dto->userSeq = $ary["USER_SEQ"];
		$dto->attributeName = $ary["ATTRIBUTE_NAME"];
		$dto->attributeValue = $ary["ATTRIBUTE_VALUE"];
		return $dto;
	}
	public function createArrayFromDto(UserAttributeDto &$dto) {
		$ary = array();
		$ary["CREATE_USER"] = $dto->createUser;
		$ary["CREATE_TIMESTAMP"] = $dto->createTimestamp;
		$ary["UPDATE_USER"] = $dto->updateUser;
		$ary["UPDATE_TIMESTAMP"] = $dto->updateTimestamp;
		$ary["SEQ"] = $dto->seq;
		$ary["USER_SEQ"] = $dto->userSeq;
		$ary["ATTRIBUTE_NAME"] = $dto->attributeName;
		$ary["ATTRIBUTE_VALUE"] = $dto->attributeValue;
		return $ary;
	}
}
?>
