<?php
class CollectionDetailDtoDao extends AbstractCollectionDetailDtoDao {
	public function find($seq) {
		$imageDtoDao = new ImageDtoDao();
		$result = NULL;
		$joinedTableName = $this->tableName;
		$joinedItemColumns = $this->itemColumns;
		$queryValues = array($seq);
		$rowsets = SingletonUtil::$databaseUtil->executeSelect($joinedTableName, $joinedItemColumns, "WHERE SEQ = ?", $queryValues);
		if (count($rowsets) > 0) {
			$result = $this->createDtoFromArray($rowsets[0]);
			$imageDto = $imageDtoDao->find($result->imageSeq);
			if ($imageDto) {
				$result->imageRealFileName = $imageDto->realFileName;
				$result->imageOriginalFileName = $imageDto->originalFileName;
				$result->thumbnailRealFileName = $imageDto->realFileName;
				$result->thumbnailOriginalFileName = $imageDto->originalFileName;
			}
	    }
		return $result;
	}
	public function findByCollectionSeq($collectionSeq){
		$imageDtoDao = new ImageDtoDao();
		$result = array();
		$joinedTableName = $this->tableName;
		$joinedItemColumns = $this->itemColumns;
		$queryValues = array($collectionSeq);
		$rowsets = SingletonUtil::$databaseUtil->executeSelect($joinedTableName, $joinedItemColumns, "WHERE COLLECTION_SEQ = ?", $queryValues);
		foreach ($rowsets as $rowset) {
			$dto = $this->createDtoFromArray($rowset);
			$imageDto = $imageDtoDao->find($dto->imageSeq);
			if ($imageDto) {
				$dto->imageRealFileName = $imageDto->imageRealFileName;
				$dto->imageOriginalFileName = $imageDto->imageOriginalFileName;
				$dto->thumbnailRealFileName = $imageDto->thumbnailRealFileName;
				$dto->thumbnailOriginalFileName = $imageDto->thumbnailOriginalFileName;
			}
			$result[] = $dto;
	    }
		return $result;
	}
	public function findMaxSubSeq($collectionSeq) {
		$itemColumns = array("MAX(SUB_SEQ) SUB_SEQ");
		$queryValues = array($collectionSeq);
		$rowsets = SingletonUtil::$databaseUtil->executeSelect($this->tableName, $itemColumns, "WHERE COLLECTION_SEQ = ?", $queryValues);
		if (count($rowsets) > 0) {
			return $rowsets[0]["SUB_SEQ"];
		} else {
			return 0;
		}
	}
	public function delete($seq){
		$queryValues = array($seq);
		$result = SingletonUtil::$databaseUtil->executeDelete($this->tableName, "WHERE SEQ = ?", $queryValues);
		return $result;
	}
	public function deleteByCollectionSeq($collectionSeq){
		$queryValues = array($collectionSeq);
		$result = SingletonUtil::$databaseUtil->executeDelete($this->tableName, "WHERE COLLECTION_SEQ = ?", $queryValues);
		return $result;
	}
	public function register(CollectionDetailDto $collectionDetailDto){
		if ($collectionDetailDto->seq == null) {
			$insertValues = $this->createArrayFromDto($collectionDetailDto);
			$seq = SingletonUtil::$databaseUtil->executeInsert($this->tableName, $this->getItemColumnsForInput(), $insertValues);
			$collectionDetailDto->seq = $seq;
		} else {
			$updateValues = $this->createArrayFromDto($collectionDetailDto);
			$queryValues = array($collectionDetailDto->seq);
			SingletonUtil::$databaseUtil->executeUpdate($this->tableName, $this->getItemColumnsForInput(), "WHERE SEQ = ?", $queryValues, $updateValues);
		}
	}
}
?>
