<?php
class FileDtoDao extends AbstractFileDtoDao {
	public function find($seq) {
		$themeUserDtoDao = new ThemeUserDtoDao();
		$result = NULL;
		$joinedTableName = "T_FILE A LEFT JOIN T_USER B ON A.USER_SEQ=B.SEQ";
		$joinedItemColumns = array_merge(append_prefix("A.",$this->itemColumns), array("B.USER_ID","B.NICK_NAME"));
		$queryValues = array($seq);
		$rowsets = SingletonUtil::$databaseUtil->executeSelect($joinedTableName, $joinedItemColumns, "WHERE A.SEQ = ?", $queryValues);
		if (count($rowsets) > 0) {
			$result = $this->createDtoFromArray($rowsets[0]);
	    }
		return $result;
	}
	public function delete($seq){
		$queryValues = array($seq);
		$result = SingletonUtil::$databaseUtil->executeDelete($this->tableName, "WHERE SEQ = ?", $queryValues);
		return $result;
	}
	public function register(FileDto $fileDto){
		if ($fileDto->seq == null) {
			$insertValues = $this->createArrayFromDto($fileDto);
			$seq = SingletonUtil::$databaseUtil->executeInsert($this->tableName, $this->getItemColumnsForInput(), $insertValues);
			$fileDto->seq = $seq;
		} else {
			$updateValues = $this->createArrayFromDto($fileDto);
			$queryValues = array($fileDto->seq);
			SingletonUtil::$databaseUtil->executeUpdate($this->tableName, $this->getItemColumnsForInput(), "WHERE SEQ = ?", $queryValues, $updateValues);
		}
	}
}
?>
