<?php
class ImageDtoDao extends AbstractImageDtoDao {
	public function find($seq) {
		$result = NULL;
		$joinedTableName = "T_IMAGE A LEFT JOIN T_FILE B ON A.IMAGE_FILE_SEQ=B.SEQ LEFT JOIN T_FILE C ON A.THUMBNAIL_FILE_SEQ=C.SEQ";
		$joinedItemColumns = array_merge(append_prefix("A.",$this->itemColumns), array("B.REAL_FILE_NAME IMAGE_REAL_FILE_NAME","B.ORIGINAL_FILE_NAME IMAGE_ORIGINAL_FILE_NAME","C.REAL_FILE_NAME THUMBNAIL_REAL_FILE_NAME","C.ORIGINAL_FILE_NAME THUMBNAIL_ORIGINAL_FILE_NAME"));
		$queryValues = array($seq);
		$rowsets = SingletonUtil::$databaseUtil->executeSelect($joinedTableName, $joinedItemColumns, "WHERE A.SEQ = ?", $queryValues);
		if (count($rowsets) > 0) {
			$result = $this->createDtoFromArray($rowsets[0]);
	    }
		return $result;
	}
	public function delete($seq){
		$queryValues = array($seq);
		$result = SingletonUtil::$databaseUtil->executeDelete($this->tableName, "WHERE SEQ = ?", $queryValues);
		return $result;
	}
	public function register(ImageDto $imageDto){
		if ($imageDto->seq == null) {
			$insertValues = $this->createArrayFromDto($imageDto);
			$seq = SingletonUtil::$databaseUtil->executeInsert($this->tableName, $this->getItemColumnsForInput(), $insertValues);
			$imageDto->seq = $seq;
		} else {
			$updateValues = $this->createArrayFromDto($imageDto);
			$queryValues = array($imageDto->seq);
			SingletonUtil::$databaseUtil->executeUpdate($this->tableName, $this->getItemColumnsForInput(), "WHERE SEQ = ?", $queryValues, $updateValues);
		}
	}
}
?>
