<?php
class ThemeDtoDao extends AbstractThemeDtoDao {
	public function findAll($withThemeUserDto, $themeStatus = NULL, $from = -1, $to = -1) {
		$themeUserDtoDao = new ThemeUserDtoDao();
		$result = array();
		$queryValues = array();
		$queryStr = "";

		if ($themeStatus !== NULL) {
			$queryStr = "WHERE ".DaoUtil::generateValueList($queryValues,"THEME_STATUS",$themeStatus);
		}
		
		$queryStr .= " ORDER BY SORT_NO";
		$rowsets = SingletonUtil::$databaseUtil->executeSelect($this->tableName, $this->itemColumns, $queryStr, $queryValues, $from, $to);
		foreach ($rowsets as $rowset) {
			$dto = $this->createDtoFromArray($rowset);
			if ($withThemeUserDto) {
				$dto->themeUserDtoList = $themeUserDtoDao->findByThemeSeq($dto->seq);
			}
			$result[] = $dto;
	    }
		return $result;
	}
	public function findCount($themeStatus = NULL) {
		$itemColumns = array("COUNT(*) NUM");
		$queryValues = array();
		$queryStr = "";

		if ($themeStatus !== NULL) {
			$queryStr = "WHERE ".DaoUtil::generateValueList($queryValues,"THEME_STATUS",$themeStatus);
		}
				
		$rowsets = SingletonUtil::$databaseUtil->executeSelect($this->tableName, $itemColumns, $queryStr, $queryValues);
		if (count($rowsets) > 0) {
			return $rowsets[0]["NUM"];
		} else {
			return 0;
		}
	}
	public function findMaxSortNo() {
		$itemColumns = array("MAX(SORT_NO) SORT_NO");
		$queryValues = array();
		$rowsets = SingletonUtil::$databaseUtil->executeSelect($this->tableName, $itemColumns, "", $queryValues);
		if (count($rowsets) > 0) {
			return $rowsets[0]["SORT_NO"];
		} else {
			return 0;
		}
	}
	public function find($seq, $withThemeUserDto) {
		$themeUserDtoDao = new ThemeUserDtoDao();
		$result = NULL;
		$queryValues = array($seq);
		$rowsets = SingletonUtil::$databaseUtil->executeSelect($this->tableName, $this->itemColumns, "WHERE SEQ = ?", $queryValues);
		if (count($rowsets) > 0) {
			$result = $this->createDtoFromArray($rowsets[0]);
			if ($withThemeUserDto) {
				$result->themeUserDtoList = $themeUserDtoDao->findByThemeSeq($result->seq);
			}
	    }
		return $result;
	}
	public function delete($seq){
		$themeUserDtoDao = new ThemeUserDtoDao();
		$queryValues = array($seq);
		$result = SingletonUtil::$databaseUtil->executeDelete($this->tableName, "WHERE SEQ = ?", $queryValues);
		$themeUserDtoDao->deleteByThemeSeq($seq);
		return $result;
	}
	public function register(ThemeDto $themeDto, $withThemeUserDto){
		$themeUserDtoDao = new ThemeUserDtoDao();
		if ($themeDto->seq == null) {
			$insertValues = $this->createArrayFromDto($themeDto);
			$seq = SingletonUtil::$databaseUtil->executeInsert($this->tableName, $this->getItemColumnsForInput(), $insertValues);
			$themeDto->seq = $seq;
		} else {
			$updateValues = $this->createArrayFromDto($themeDto);
			$queryValues = array($themeDto->seq);
			SingletonUtil::$databaseUtil->executeUpdate($this->tableName, $this->getItemColumnsForInput(), "WHERE SEQ = ?", $queryValues, $updateValues);
			if ($withThemeUserDto) {
				$themeUserDtoDao->deleteByThemeSeq($themeDto->seq);
			}
		}
		if ($withThemeUserDto) {
			foreach($themeDto->themeUserDtoList as $themeUserDto) {
				$themeUserDto->seq = NULL;
				$themeUserDto->themeSeq = $themeDto->seq;
				$themeUserDtoDao->register($themeUserDto);
			}
		}
	}
}
?>
