<?php
class ThemeUserDtoDao extends AbstractThemeUserDtoDao {
	public function find($seq) {
		$result = NULL;
		$joinedTableName = "T_THEME_USER A LEFT JOIN T_USER B ON A.USER_SEQ=B.SEQ";
		$joinedItemColumns = array_merge(append_prefix("A.",$this->itemColumns), array("B.USER_ID","B.NICK_NAME"));
		$queryValues = array($seq);
		$rowsets = SingletonUtil::$databaseUtil->executeSelect($joinedTableName, $joinedItemColumns, "WHERE A.SEQ = ?", $queryValues);
		if (count($rowsets) > 0) {
			$result = $this->createDtoFromArray($rowsets[0]);
	    }
		return $result;
	}
	public function findByThemeSeq($themeSeq) {
		$result = array();
		$joinedTableName = "T_THEME_USER A LEFT JOIN T_USER B ON A.USER_SEQ=B.SEQ";
		$joinedItemColumns = array_merge(append_prefix("A.",$this->itemColumns), array("B.USER_ID","B.NICK_NAME"));
		$queryValues = array($themeSeq);
		$rowsets = SingletonUtil::$databaseUtil->executeSelect($joinedTableName, $joinedItemColumns, "WHERE A.THEME_SEQ = ?", $queryValues);
		foreach ($rowsets as $rowset) {
			$result[] = $this->createDtoFromArray($rowset);
	    }
		return $result;
	}
	public function delete($seq){
		$queryValues = array($seq);
		$result = SingletonUtil::$databaseUtil->executeDelete($this->tableName, "WHERE SEQ = ?", $queryValues);
		return $result;
	}
	public function deleteByThemeSeq($themeSeq){
		$queryValues = array($themeSeq);
		$result = SingletonUtil::$databaseUtil->executeDelete($this->tableName, "WHERE THEME_SEQ = ?", $queryValues);
		return $result;
	}
	public function register(ThemeUserDto $themeUserDto){
		if ($themeUserDto->seq == null) {
			$insertValues = $this->createArrayFromDto($themeUserDto);
			$seq = SingletonUtil::$databaseUtil->executeInsert($this->tableName, $this->getItemColumnsForInput(), $insertValues);
			$themeUserDto->seq = $seq;
		} else {
			$updateValues = $this->createArrayFromDto($themeUserDto);
			$queryValues = array($themeUserDto->seq);
			SingletonUtil::$databaseUtil->executeUpdate($this->tableName, $this->getItemColumnsForInput(), "WHERE SEQ = ?", $queryValues, $updateValues);
		}
	}
}
?>
