<?php
class UserAttributeDtoDao extends AbstractUserAttributeDtoDao {
	public function find($seq) {
		$result = NULL;
		$queryValues = array($seq);
		$rowsets = SingletonUtil::$databaseUtil->executeSelect($this->tableName, $this->itemColumns, "WHERE SEQ = ?", $queryValues);
		if (count($rowsets) > 0) {
			$result = $this->createDtoFromArray($rowsets[0]);
	    }
		return $result;
	}
	public function findByUserSeq($userSeq) {
		$result = array();
		$queryValues = array($userSeq);
		$rowsets = SingletonUtil::$databaseUtil->executeSelect($this->tableName, $this->itemColumns, "WHERE USER_SEQ = ?", $queryValues);
		foreach ($rowsets as $rowset) {
			$result[] = $this->createDtoFromArray($rowset);
	    }
		return $result;
	}
	public function delete($seq){
		$queryValues = array($seq);
		$result = SingletonUtil::$databaseUtil->executeDelete($this->tableName, "WHERE SEQ = ?", $queryValues);
		return $result;
	}
	public function deleteByUserSeq($userSeq){
		$queryValues = array($userSeq);
		$result = SingletonUtil::$databaseUtil->executeDelete($this->tableName, "WHERE USER_SEQ = ?", $queryValues);
		return $result;
	}
	public function register(UserAttributeDto $userDto){
		if ($userDto->seq == null) {
			$insertValues = $this->createArrayFromDto($userDto);
			$seq = SingletonUtil::$databaseUtil->executeInsert($this->tableName, $this->getItemColumnsForInput(), $insertValues);
			$userDto->seq = $seq;
		} else {
			$updateValues = $this->createArrayFromDto($userDto);
			$queryValues = array($userDto->seq);
			SingletonUtil::$databaseUtil->executeUpdate($this->tableName, $this->getItemColumnsForInput(), "WHERE SEQ = ?", $queryValues, $updateValues);
		}
	}
}
?>
