<?php 
// ==========================================================
// エラーハンドラの設定

class ErrInfo {
	var $errNo;
	var $message;
	var $file;
	var $line;
}
 
$errInfo = new ErrInfo();
function MyErrorHandler( $errNo, $errmsg, $file, $line ) {
 	global $errInfo;
 	$errInfo->errNo	= $errNo;
	$errInfo->message	= $errmsg;
	$errInfo->file	= $file;
	$errInfo->line	= $line;
 
}
set_error_handler("MyErrorHandler");
// ==========================================================


// ==========================================================
// 設定
require_once 'bootstrap.inc.php';
$sqlCreateTable = "./sql/create_table.sql";
// ==========================================================

// ==========================================================
// パラメータの受け取り
$request = array_merge($_GET,$_POST);
$command = (isset($request['command'])) ? $request['command'] : "";
$message = "";
// ==========================================================

// ==========================================================
// 処理
if ($command=="all_reset") {
	// データベースのリセットを実行
	$goFlag = TRUE;

	if ($goFlag) {
		// イメージディレクトリの確認
		$message.="イメージディレクトリを確認します。\n";
		if (!is_dir($imageFileDir)) {
			$message.="> $imageFileDir はディレクトリではありません。\n";
			$goFlag = false;
		}
		if ($goFlag && !is_writable($imageFileDir)) {
			$message.="> $imageFileDir は書込可能ではありません。\n";
			$goFlag = false;
		}
		if ($goFlag) {
			$message.="> $imageFileDir は利用可能です。\n";
		}
		$message.="\n";
	}
	
	// データベースディレクトリの確認
	if ($goFlag) {
		// イメージディレクトリの確認
		$message.="データベースディレクトリを確認します。\n";
		if (!is_dir($databaseFileDir)) {
			$message.="> $databaseFileDir はディレクトリではありません。\n";
			$goFlag = false;
		}
		if ($goFlag && !is_writable($databaseFileDir)) {
			$message.="> $databaseFileDir は書込可能ではありません。\n";
			$goFlag = false;
		}
		if ($goFlag) {
			$message.="> $databaseFileDir は利用可能です。\n";
		}
		$message.="\n";
	}
	// データベースファイルを空にする
	if ($goFlag) {
		$message.="データベースファイルをクリアします。\n";
		$fp = fopen($databaseFile,"w");
		if (!$fp) {
			$message .= "> $databaseFile オープンに失敗しました。\n";
			$message .= "> {$errInfo->message}\n";
		} else {
			fclose($fp);
			$message .= "> $databaseFile のクリアに成功しました。\n";
		}
		$message.="\n";
	}
	
	if ($goFlag) {
		SingletonUtil::$databaseUtil->createDatabaseHandler();
	}
	
	if ($goFlag) {
		// テーブル作成
		$message.="データベースにテーブルを作成します。\n";
		try {
			$createTableStr = file_get_contents($sqlCreateTable);
			$createTableArray = explode("/", $createTableStr);
			foreach($createTableArray as $createTable) {
				SingletonUtil::$databaseUtil->exec($createTable);
			}
		} catch(Exception $exception) {
			$goFlag = FALSE;
			$message .= "> " . $exception->getMessage() . "\n";
		}
		if ($goFlag) {
			$message.="> テーブルの作成に成功しました。\n";
		}
		$message.="\n";
	}
	
	if ($goFlag) {
		// 初期データの作成
		$message.="データベースに初期データを作成します。\n";
		try {
			$userDtoDao = new UserDtoDao();
			$userDto = new UserDto();
			$userDto->userId = "root";
			$userDto->nickName = "root";
			$userDto->passwordHash = strtolower(sha1("root",FALSE));
			$userDto->enable = FLAG_TRUE;

			$userAttributeDtoList = array();
			$themeManagerUaDto = new UserAttributeDto();
			$themeManagerUaDto->attributeName = AUTHORITY_THEME_MANAGER;
			$themeManagerUaDto->attributeValue = FLAG_TRUE;
			$userAttributeDtoList[] = $themeManagerUaDto;
			$systemManagerUaDto = new UserAttributeDto();
			$systemManagerUaDto->attributeName = AUTHORITY_SYSTEM_MANAGER;
			$systemManagerUaDto->attributeValue = FLAG_TRUE;
			$userAttributeDtoList[] = $systemManagerUaDto;
			$userDto->userAttributeDtoList = $userAttributeDtoList;
			
			$userDtoDao->register($userDto, TRUE);
		} catch(Exception $exception) {
			$goFlag = FALSE;
			$message .= "> " . $exception->getMessage() . "\n";
		}
		if ($goFlag) {
			SingletonUtil::$databaseUtil->disposeDatabaseHandler();
			$message.="> 初期データの作成に成功しました。\n";
		}
		$message.="\n";
	}
	
	if ($goFlag) {
		$message.="データベースのリセットに成功しました。\n";
		$message.="setup.phpを削除後、ID=root,Password=rootでログインしてください。\n";
	} else {
		$message.="データベースのリセットに失敗しました。\n";
	}
}
// ==========================================================

?>
<html>
<head>
<title>IPhpExhibitionセットアップ</title>
</head>
<body>
<h1>IPhpExhibitionセットアップ</h1>
<form method="post">
	<input type="hidden" name="command" value="all_reset"/>
	<input type="submit" value="全てリセット" onClick="return window.confirm('全てのデータが失われます。よろしいですか？')"/>
</form>
<hr/>
<pre>
<?php print($message); ?>
</pre>
</body>
</html>

