CREATE TABLE T_THEME (
    CREATE_USER INTEGER,
    CREATE_TIMESTAMP DATE,
    UPDATE_USER INTEGER,
    UPDATE_TIMESTAMP DATE,
    SEQ INTEGER PRIMARY KEY AUTOINCREMENT,
    TITLE_1 TEXT NOT NULL,
    TITLE_2 TEXT,
    TITLE_3 TEXT,
    TITLE_4 TEXT,
    DESCRIPTION_1 TEXT,
    DESCRIPTION_2 TEXT,
    DESCRIPTION_3 TEXT,
    DESCRIPTION_4 TEXT,
    THEME_STATUS INTEGER NOT NULL,
    COLLECTION_NUM INTEGER NOT NULL,
    COLLECTION_DETAIL_NUM INTEGER NOT NULL,
    SORT_NO INTEGER NOT NULL
)
/

CREATE TABLE T_COLLECTION (
    CREATE_USER INTEGER,
    CREATE_TIMESTAMP DATE,
    UPDATE_USER INTEGER,
    UPDATE_TIMESTAMP DATE,
    SEQ INTEGER PRIMARY KEY AUTOINCREMENT,
    THEME_SEQ INTEGER NOT NULL,
    USER_SEQ INTEGER NOT NULL,
    SUB_SEQ INTEGER NOT NULL,
    TITLE_1 TEXT NOT NULL,
    TITLE_2 TEXT,
    TITLE_3 TEXT,
    TITLE_4 TEXT,
    DESCRIPTION_1 TEXT,
    DESCRIPTION_2 TEXT,
    DESCRIPTION_3 TEXT,
    DESCRIPTION_4 TEXT,
    COLLECTION_STATUS INTEGER,
    SORT_NO INTEGER,
    UNIQUE (THEME_SEQ,USER_SEQ,SUB_SEQ)
)
/

CREATE TABLE T_COLLECTION_DETAIL (
    CREATE_USER INTEGER,
    CREATE_TIMESTAMP DATE,
    UPDATE_USER INTEGER,
    UPDATE_TIMESTAMP DATE,
    SEQ INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
    COLLECTION_SEQ INTEGER NOT NULL,
    SUB_SEQ INTEGER NOT NULL,
    IMAGE_SEQ INTEGER,
    TITLE_1 TEXT,
    TITLE_2 TEXT,
    TITLE_3 TEXT,
    TITLE_4 TEXT,
    DESCRIPTION_1 TEXT,
    DESCRIPTION_2 TEXT,
    DESCRIPTION_3 TEXT,
    DESCRIPTION_4 TEXT,
    SORT_NO INTEGER,
    UNIQUE (COLLECTION_SEQ,SUB_SEQ)
)
/

CREATE TABLE T_THEME_USER (
    CREATE_USER INTEGER,
    CREATE_TIMESTAMP DATE,
    UPDATE_USER INTEGER,
    UPDATE_TIMESTAMP DATE,
    SEQ INTEGER PRIMARY KEY AUTOINCREMENT,
    THEME_SEQ INTEGER NOT NULL,
    USER_SEQ INTEGER NOT NULL,
    ENABLE INTEGER NOT NULL,
    SORT_NO INTEGER NOT NULL,
    UNIQUE (THEME_SEQ,USER_SEQ)
)
/

CREATE TABLE T_USER (
    CREATE_USER INTEGER,
    CREATE_TIMESTAMP DATE,
    UPDATE_USER INTEGER,
    UPDATE_TIMESTAMP DATE,
    SEQ INTEGER PRIMARY KEY AUTOINCREMENT,
    USER_ID TEXT NOT NULL,
    NICK_NAME TEXT NOT NULL,
    PASSWORD_HASH TEXT,
    ENABLE INTEGER NOT NULL,
    UNIQUE (USER_ID)
)
/

CREATE TABLE T_USER_ATTRIBUTE (
    CREATE_USER INTEGER,
    CREATE_TIMESTAMP DATE,
    UPDATE_USER INTEGER,
    UPDATE_TIMESTAMP DATE,
    SEQ INTEGER PRIMARY KEY AUTOINCREMENT,
    USER_SEQ INTEGER NOT NULL,
    ATTRIBUTE_NAME TEXT NOT NULL,
    ATTRIBUTE_VALUE TEXT
)
/

CREATE TABLE T_FILE (
    CREATE_USER INTEGER,
    CREATE_TIMESTAMP DATE,
    UPDATE_USER INTEGER,
    UPDATE_TIMESTAMP DATE,
    SEQ INTEGER PRIMARY KEY AUTOINCREMENT,
    REAL_FILE_NAME TEXT NOT NULL,
    ORIGINAL_FILE_NAME TEXT NOT NULL,
    USER_SEQ INTEGER
)
/

CREATE TABLE T_IMAGE (
    CREATE_USER INTEGER,
    CREATE_TIMESTAMP DATE,
    UPDATE_USER INTEGER,
    UPDATE_TIMESTAMP DATE,
    SEQ INTEGER PRIMARY KEY AUTOINCREMENT,
    IMAGE_FILE_SEQ INTEGER NOT NULL,
    THUMBNAIL_FILE_SEQ INTEGER NOT NULL
)
/

