<?php
class AuthorityUtil {
	static function isThemeBrowsable(ThemeDto $themeDto) {
		if (UserUtil::isThemeManager()) {
			return TRUE;
		}
		if ($themeDto->themeStatus == THEME_STATUS_EDITABLE_BROWSABLE) {
			return TRUE;
		}
		if ($themeDto->themeStatus == THEME_STATUS_UNEDITABLE_BROWSABLE) {
			return TRUE;
		}
		if ($themeDto->themeStatus == THEME_STATUS_EDITABLE_UNBROWSABLE) {
			return TRUE;
		}
		return FALSE;
	}
	static function isThemeCreatable() {
		return UserUtil::isThemeManager();
	}
	static function isThemeEditable(ThemeDto $themeDto) {
		return UserUtil::isThemeManager();
	}
	static function isCollectionBrowsable(ThemeDto $themeDto, CollectionDto $collectionDto) {
		if (UserUtil::isThemeManager()) {
			return TRUE;
		}
		if ($themeDto->themeStatus == THEME_STATUS_EDITABLE_BROWSABLE || $themeDto->themeStatus == THEME_STATUS_UNEDITABLE_BROWSABLE) {
			if ($collectionDto->collectionStatus == COLLECTION_STATUS_BROWSABLE) {
				return TRUE;
			}
		}
		$userDto = UserUtil::getUserInfo();
		if ($userDto != NULL && $userDto->seq == $collectionDto->userSeq) {
			return TRUE;
		}
		return FALSE;
	}
	static function isCollectionCreatable(ThemeDto $themeDto) {
		if (UserUtil::isThemeManager()) {
			return TRUE;
		}
		if ($themeDto->themeStatus != THEME_STATUS_EDITABLE_BROWSABLE && $themeDto->themeStatus != THEME_STATUS_EDITABLE_UNBROWSABLE) {
			return FALSE;
		}

		$userDto = UserUtil::getUserInfo();
		if ($userDto != NULL) {
			foreach ($themeDto->themeUserDtoList as $themeUserDto) {
				if ($userDto->seq == $themeUserDto->userSeq) {
					return TRUE;
				}
			}
		}
		return FALSE;
	}
	static function isCollectionEditable(ThemeDto $themeDto, CollectionDto $collectionDto) {
		if (UserUtil::isThemeManager()) {
			return TRUE;
		}
		if ($themeDto->themeStatus != THEME_STATUS_EDITABLE_BROWSABLE && $themeDto->themeStatus != THEME_STATUS_EDITABLE_UNBROWSABLE) {
			return FALSE;
		}
		
		$userDto = UserUtil::getUserInfo();
		if ($userDto != NULL && $userDto->seq == $collectionDto->userSeq) {
			return TRUE;
		}
		return FALSE;
	}
}
?>
