<?php
class FormUtil {
	public $actionInfo;
	public $parent;
	
	function __construct() {
		$this->parent = array();
	}
	
	function push($name) {
		array_push($this->parent, $name);
	}
	
	function pop() {
		array_pop($this->parent);
	}
	
	function submit($action, $value, $attributes="") {
		$tag = '<input type="submit" name="#'.$action.'" value="'.$value.'" '.$attributes.'/>';
		print($tag);
	}
	
	function input($type, $name, $attributes="") {
		$value = $this->getFormValue($name);
		if (count($this->parent) > 0) {
			$realName = implode(".",$this->parent).".".$name;
		} else {
			$realName = $name;
		}
		$realName = PARAM_PREFIX."[".str_replace(".","][",$realName)."]";
		$tag = '<input type="'.$type.'" name="'.$realName.'" value="'.$value.'" '.$attributes.'/>';
		print($tag);
	}
	
	function select($name, $codeKind) {
		global $genericCode;
		$value = $this->getFormValue($name);
		if (count($this->parent) > 0) {
			$realName = implode(".",$this->parent).".".$name;
		} else {
			$realName = $name;
		}
		$realName = PARAM_PREFIX."[".str_replace(".","][",$realName)."]";
		if (isset($genericCode[$codeKind])) {
			print('<select name="'.$realName.'">');
			foreach($genericCode[$codeKind] as $key => $code) {
				if ($value == $key) {
					$tag = '<option value="'.$key.'" selected>'.htmlspecialchars($code).'</option>';
				} else {
					$tag = '<option value="'.$key.'">'.htmlspecialchars($code).'</option>';
				}
				print($tag);
			}
			print("</select>");
		}
	}
	
	function out($name) {
		$value = $this->getFormValue($name);
		if (isset($value)) {
			if (is_string($value)) {
				print(htmlspecialchars($value));
			} else {
				print($value);
			}
		} else {
			print("???(".$name.")");
		}
	}
	
	function printTranslation($value, $codeKind) {
		global $genericCode;
		if (isset($genericCode[$codeKind])) {
			$ary = $genericCode[$codeKind];
			if (isset($ary[$value])) {
				print($ary[$value]);
			}
		}
	}
	function translate($name, $codeKind) {
		global $genericCode;
		$value = $this->getFormValue($name);
		if (isset($genericCode[$codeKind])) {
			$ary = $genericCode[$codeKind];
			if (isset($ary[$value])) {
				print($ary[$value]);
			}
		}
	}
	
	function count($name) {
		$value = $this->getFormValue($name);
		if (is_array($value)) {
			return count($value);
		} else {
			return 0;
		}
	}
	
	function isFormBlank($name) {
		return isBlank($this->getFormValue($name));
	}

	function isFormEquals($name, $value) {
		return ($this->getFormValue($name) == $value);
	}
	
	function getFormValue($name) {
		if (count($this->parent) > 0) {
			$names = explode(".",implode(".",$this->parent).".".$name);
		} else {
			$names = explode(".",$name);
		}
		$result = $this->actionInfo->form;
		foreach ($names as $name) {
			if (isset($result[$name])) {
				$result = $result[$name];
			} else {
				$result = "";
				break;
			}
		}
		return $result;
	}
	
	function formStart($method="POST", $attribute="") {
		print("<form action='".FRONT_CONTROLLAER."' method='$method' $attribute>");
	}
	function formEnd() {
		print("</form>");
	}

	function getTitle() {
		global $genericCode, $appricationTitle;
		$value = $this->actionInfo->viewName;
		$result = $appricationTitle;
		if (isBlank($this->actionInfo->title)) {
			if (isset($genericCode['VIEW_NAME'])) {
				$ary = $genericCode['VIEW_NAME'];
				if (isset($ary[$value])) {
					$result = $ary[$value]." - ".$result;
				}
			}
		} else {
			$result = $this->actionInfo->title." - ".$result;
		}
		return $result;
	}
}
?>