<?php
class UserUtil {
	static function prepare() {
		if (!isBlank(session_id())) {
			return;
		} else if (!isBlank(session_get_cookie_params())) {
			session_start();
			return;
		}
	}
	static function login($userId, $password) {
		$result = FALSE;
		$userDtoDao = new UserDtoDao();
		$userAttributeDtoDao = new UserAttributeDtoDao();
		$passwordHash = strtolower(sha1($password, FALSE));
		$userDto = $userDtoDao->findByUserIdAndPasswordHash($userId,$passwordHash);
		if ($userDto != NULL) {
			$userDto->userAttributeDtoList = $userAttributeDtoDao->findByUserSeq($userDto->seq);
			if (isBlank(session_get_cookie_params())) {
				session_start();
			}
			$authorityArray = array();
			foreach ($userDto->userAttributeDtoList as $userAttributeDto) {
				$authorityArray[$userAttributeDto->attributeName] = $userAttributeDto->attributeValue;
			}
			$_SESSION[SESSION_USER_DTO] = $userDto;
			$_SESSION[SESSION_USER_AUTHORITY] = $authorityArray; 
			$result = TRUE;
		}
		return $result;
	}

	static function logout() {
		if (!isBlank(session_id())) {
			session_destroy();
		}
	}

	static function getUserId() {
		$userDto = UserUtil::getUserInfo();
		return ($userDto != null) ? $userDto->userId : "";
	}
	
	static function getUserInfo() {
		if (!isBlank(session_id())) {
			return $_SESSION[SESSION_USER_DTO];
		} else {
			return NULL;
		}
	}

	static function isLoggedIn() {
		return (UserUtil::getUserInfo() != NULL);
	}
	
	static function isSystemManager() {
		if (!isBlank(session_id())) {
			return $_SESSION[SESSION_USER_AUTHORITY][AUTHORITY_SYSTEM_MANAGER];
		} else {
			return FALSE;
		}
	}
	static function isThemeManager() {
		if (!isBlank(session_id())) {
			return $_SESSION[SESSION_USER_AUTHORITY][AUTHORITY_THEME_MANAGER];
		} else {
			return FALSE;
		}
	}
}
?>