<?php
class ValidateUtil {
	public static $patternMap;

	public static function validate(&$errorMsg, $dataName, $maskName, $value, $required, $formatCheck, $lines = NULL) {
		global $genericCode;
		$result = TRUE;
		if (isBlank($value)) {
			$result = 1;
			if ($required) {
				if ($lines == NULL) {
					$errorMsg[] = getMessage(MSG_PARAM_IS_REQUIRED,array($genericCode['DATA_NAME'][$dataName]));
				} else {
					$errorMsg[] = ITEM_LINE.implode(".",$lines).":".getMessage(MSG_PARAM_IS_REQUIRED,array($genericCode['DATA_NAME'][$dataName]));
				}
				$result = FALSE;
			}
		} else {
			if (array_key_exists($maskName, ValidateUtil::$patternMap) === TRUE) {
				if (!preg_match(ValidateUtil::$patternMap[$maskName], (string)$value) === TRUE) {
					$result = 2;
					if ($formatCheck) {
						if ($lines == NULL) {
							$errorMsg[] = getMessage(MSG_PARAM_IS_BAD_FORMAT,array($genericCode['DATA_NAME'][$dataName], $genericCode['MASK_NAME'][$maskName]));
						} else {
							$errorMsg[] = ITEM_LINE.implode(".",$lines).":".getMessage(MSG_PARAM_IS_BAD_FORMAT,array($genericCode['DATA_NAME'][$dataName], $genericCode['MASK_NAME'][$maskName]));
						}
						$result = FALSE;
					}
				}
			}
		}
		return $result;
	}
}
ValidateUtil::$patternMap = array();
ValidateUtil::$patternMap['Seq'] = '/^[0-9]+$/';
ValidateUtil::$patternMap['SubSeq'] = '/^[0-9]+$/';
ValidateUtil::$patternMap['UserId'] = '/^\w{1,20}$/';
ValidateUtil::$patternMap['NickName'] = '/^.{1,20}$/';
ValidateUtil::$patternMap['CollectionNum'] = '/^[0-9]+$/';
ValidateUtil::$patternMap['CollectionDetailNum'] = '/^[0-9]+$/';
ValidateUtil::$patternMap['Hash'] = '/^[0-9a-f]{1,40}$/';
ValidateUtil::$patternMap['Flag'] = '/^[01]$/';
ValidateUtil::$patternMap['Title'] = '/^.{1,40}$/';
ValidateUtil::$patternMap['Description'] = '/^.{1,100}$/';
ValidateUtil::$patternMap['FileName'] = '/^.{1,255}$/';
ValidateUtil::$patternMap['SortNo'] = '/^[0-9]+$/';
ValidateUtil::$patternMap['Timestamp'] = '/^[0-9]{4}/[0-9]{2}/[0-9]{2} [0-9]{2}:[0-9]{2}:[0-9]{2}$/';
ValidateUtil::$patternMap['Date'] = '/^[0-9]{4}/[0-9]{2}/[0-9]{2}$/';
ValidateUtil::$patternMap['PageNo'] = '/^[0-9]+$/';
?>
